package com.gloabalexceptionhandling.Handler;

import java.util.NoSuchElementException;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.ExceptionHandler;
import com.gloabalexceptionhandling.Exception.ArrayResponseDto;
import com.gloabalexceptionhandling.Exception.EmptyInputException;
import org.springframework.web.servlet.mvc.method.annotation.ResponseEntityExceptionHandler;

@org.springframework.web.bind.annotation.ControllerAdvice
public class ControllerAdvice extends  ResponseEntityExceptionHandler {

    @ExceptionHandler(EmptyInputException.class)
    public ResponseEntity<String> handleEmptyInput(EmptyInputException  emptyInputException){
        return  new ResponseEntity("Sorry Your Fields Are Empty  Please Check Fields ...........!! " ,  HttpStatus.BAD_REQUEST);
    }

    @ExceptionHandler (NullPointerException.class)
    public ResponseEntity<?> handleNullPointerException(NullPointerException nullPointerException){
        ArrayResponseDto arrayResponseDto = new ArrayResponseDto("02/08/2022", "There Is No Student Available Belongs to This ID");
        return new ResponseEntity(arrayResponseDto, HttpStatus.OK);
    }

    @ExceptionHandler (NoSuchElementException.class)
 public ResponseEntity<String> handleNoSuchElementException(NoSuchElementException noSuchElementException){
        return new ResponseEntity<String>("There Is No Value Present For This Id ", HttpStatus.NOT_FOUND);
 }

    }
